Bug 825009 - NFSv4.1: Add LAYOUTRETURN support
NFSv4.1: Add LAYOUTRETURN support
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Steve Dickson
Jian Li
pNFS
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-24 15:54 EDT by Steve Dickson
Modified: 2014-03-03 19:08 EST (History)
5 users (show)

See Also:
Fixed In Version: kernel-2.6.32-288.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 01:15:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Dickson 2012-05-24 15:54:57 EDT
Description of problem:
For RHEL6 to continue to be relevant in the pNFS world, certain features needed to be backported. The support of LAYOUTRETURNs is one of those features. It has the potential of allowing the client to support multiple layout types.    

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 3 RHEL Product and Program Management 2012-06-27 09:44:57 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 4 Jian Li 2012-07-04 04:00:35 EDT
pnfs regression test is needed, and only file layout is not enough, block or object layout is needed to test.
Comment 5 Jarod Wilson 2012-07-23 13:16:32 EDT
Patch(es) available on kernel-2.6.32-288.el6
Comment 9 errata-xmlrpc 2013-02-21 01:15:00 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0496.html

Note You need to log in before you can comment on or make changes to this bug.